CollectionsDirect DebitAuthorizations

Regenerate a Direct Debit Authorization OTP

HSBC Hong Kong only. Sends your payer a new one-time password and returns it as a new otp.id; the previous OTP stops working. The bank sends at most 2 OTPs a day for an authorization, the first one included.

POST
/v1/direct-debit-authorizations/{id}/otp-regeneration

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Response Body

*/*

*/*

application/json

curl -X POST "https://example.com/v1/direct-debit-authorizations/string/otp-regeneration"

1-hk-edda-hsbc

{
  "id": "dda_0KAQCK2Y8FNTB",
  "billReferenceNumber": "A0012334455",
  "payerSwiftBic": "HSBCHKHHHKH",
  "payerBankCode": "004",
  "payerSegment": null,
  "payerName": "Wong Ka Ming",
  "payerBankAccountNumber": "511123456888",
  "payerIdHash": null,
  "payerIdType": null,
  "status": "REQUIRES_AUTHORIZATION",
  "failureReason": null,
  "underlyingErrorMessage": null,
  "startDate": "2026-10-05",
  "precheckMinAmount": 0,
  "precheckMaxAmount": 1000000,
  "precheckCurrency": "HKD",
  "maxAmount": null,
  "maxAmountCurrency": null,
  "payerAuthorizedMaxAmount": 0,
  "endDate": null,
  "authorizeUrl": null,
  "cancelUrl": null,
  "returnUrl": null,
  "cancelReturnUrl": null,
  "transactionReference": "D261005J2344",
  "createdAt": "2026-10-05T04:00:00.000000Z",
  "updatedAt": "2026-10-05T04:03:40.000000Z",
  "otp": {
    "id": "K7Q",
    "mobileNumber": "85291******"
  }
}